#include <bits/stdc++.h>
using namespace std;
int n,q,niz[200005],a,b,prefiks[200005];
int main(){
  scanf("%d",&n);
  for(int i=1; i<=n; i++){
    scanf("%d",&niz[i]);
    if(niz[i]<niz[i-1])prefiks[i-1]=1;
  }
  for(int i=1; i<=n; i++){
    prefiks[i]=prefiks[i]+prefiks[i-1];
    //cout << prefiks[i] << " ";
  }
  //cout << endl;
  scanf("%d",&q);
  for(int i=1; i<=q; i++){
    scanf("%d%d",&a,&b);
    if(prefiks[b-1]-prefiks[a-1]<=1)cout << "DA\n";
    else cout << "NE\n";
    //cout << prefiks[b-1]-prefiks[a-1] << endl;
  }

  return 0;
}